/***
 * This file will handle the dialog boxes as they and their associated configurations and function binding
 */
if (!dialog){
    var dialog = {}
}

dialog.open = function(title,msg,pointer){
    if (sessionStorage.dialog == null){

    
    var http = HttpClient.instance()
        http.get(sessionStorage.io_context+'/static/dialog.html',function(x){
            var html = x.responseText
            jx.modal.show({html:html,id:'dialog'})
            $('.dialog .title').text(title)            
            $('.dialog .message .text').text(msg)
            dialog.status.ask()
            $('.dialog .action .active-button').on('click',pointer)
            $('.dialog .title-bar .close').on('click',function(){dialog.close(0)})

        })
    }else{
        var html = sessionStorage.dialog
        jx.modal.show({html:html,id:'dialog'})
        dialog.status.ask()
        $('.dialog .action .active-button').on('click',pointer)
        $('.dialog .title-bar .close').on('click',function(){dialog.close(0)})

    }
}
dialog.bind = function(pointer){
    if (pointer == null){
        pointer = dialog.close
    }
    $('.dialog .action .active-button').off()
    $('.dialog .action .active-button').on('click',pointer)
}
dialog.close = function(delay){
    delay = (delay == null)?1750:delay
    setTimeout(function(){
        if ( $('.dialog').length > 0){
            jx.modal.close()
        }
    },delay)
}
dialog.status = {}
dialog.status.wait = function(){
    $('.dialog .action .active-button').hide()
}
dialog.status.confirm = function(){
    $('.dialog .action .active-button').show()
}
dialog.status.busy = function(){
    $('.dialog .message #msg-icon').removeClass()
    $('.dialog .message #msg-icon').addClass('fas fa-cog fa-4x fa-spin')
    
}
dialog.status.fail = function(){
    $('.dialog .message #msg-icon').removeClass()
    $('.dialog .message #msg-icon').addClass('fas fa-times fa-4x')
}
dialog.status.ask = function(){
    $('.dialog .message #msg-icon').removeClass()
    $('.dialog .message #msg-icon').addClass('far fa-question-circle fa-4x')
}
dialog.status.warn = function(){
    $('.dialog .message #msg-icon').removeClass()
    $('.dialog .message #msg-icon').addClass('fas fa-exclamation-triangle fa-4x')
}
dialog.status.success = function(){
    $('.dialog .message #msg-icon').removeClass()
    $('.dialog .message #msg-icon').addClass('fas fa-check fa-4x')
}

